Arch Rebar/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Chociaż zwykle pręt zbrojeniowy jest używany wewnątrz konstrukcji architektury, od wersji FreeCAD 0.19 pręt zbrojeniowy może być tworzony poza dowolnym obiektem docelowym. Aby umieścić pręt zbrojeniowy wewnątrz obiektu, wystarczy ustawić jego obiekt {{PropertyData|Host}}.")
(Created page with "==Opcje==")
Line 57: Line 57:
Chociaż zwykle pręt zbrojeniowy jest używany wewnątrz konstrukcji architektury, od wersji FreeCAD 0.19 pręt zbrojeniowy może być tworzony poza dowolnym obiektem docelowym. Aby umieścić pręt zbrojeniowy wewnątrz obiektu, wystarczy ustawić jego obiekt {{PropertyData|Host}}.
Chociaż zwykle pręt zbrojeniowy jest używany wewnątrz konstrukcji architektury, od wersji FreeCAD 0.19 pręt zbrojeniowy może być tworzony poza dowolnym obiektem docelowym. Aby umieścić pręt zbrojeniowy wewnątrz obiektu, wystarczy ustawić jego obiekt {{PropertyData|Host}}.


==Options==
<span id="Options"></span>
==Opcje==


* Rebars share the common properties and behaviours of all [[Arch Component|Arch Components]]
* Rebars share the common properties and behaviours of all [[Arch Component|Arch Components]]

Revision as of 11:08, 31 March 2024

Architektura: Zbrojenie

Lokalizacja w menu
Architektura → Narzędzia zbrojenia → Zbrojenie nietypowe
3D/BIM → Narzędzia zbrojenia → Zbrojenie nietypowe
Środowisko pracy
Architektura, BIM, Zbrojenie
Domyślny skrót
R B
Wprowadzono w wersji
-
Zobacz także
Konstrukcja

Opis

Narzędzie Zbrojenie pozwala na umieszczenie prętów zbrojeniowych wewnątrz obiektów konstrukcyjnych.

Narzędzie Zbrojenie jest również zintegrowane ze środowiskiem pracy BIM.

Obiekty prętów zbrojeniowych są oparte na profilach 2D, takich jak obiekty rysunku roboczego i szkice, które muszą być narysowane na powierzchni obiektu konstrukcyjnego. Po utworzeniu można dostosować właściwości pręta zbrojeniowego, w tym liczbę i średnicę prętów oraz odległość przesunięcia między nimi a powierzchniami elementu konstrukcyjnego.

Obiekt konstrukcyjny z dwoma szkicami narysowanymi na jego powierzchniach, które są następnie przekształcane w dwa zestawy obiektów prętów zbrojeniowych.

Użycie

  1. Switch to the Arch Workbench
  2. Create an Arch Structure element.
  3. Switch to the Sketcher Workbench.
  4. Select one face of the structural element.
  5. Press the New Sketch button to start a new sketch on the selected face.
  6. Draw the diagram of your bar.
  7. Press the Leave Sketch button to finish.
  8. Switch back to the Arch Workbench.
  9. Select the sketch you just drew.
  10. Press the Arch Rebar button, or press R then B keys.
  11. Adjust the desired properties (your rebar might not appear immediately, if some of the properties create an impossible situation, such as the bar diameter being 0, or the offset distances being bigger than the length of the structural element).

Chociaż zwykle pręt zbrojeniowy jest używany wewnątrz konstrukcji architektury, od wersji FreeCAD 0.19 pręt zbrojeniowy może być tworzony poza dowolnym obiektem docelowym. Aby umieścić pręt zbrojeniowy wewnątrz obiektu, wystarczy ustawić jego obiekt DANEHost.

Opcje

  • Rebars share the common properties and behaviours of all Arch Components
  • The rounding value is expressed in times the diameter. If your bar has a diameter of 5mm, a rounding value of 3 will create rounding at angles with a radius of 15mm.
  • Default values for new rebars can be set in the Arch preferences settings.
  • If a direction vector is not specified, the direction and distance along which the bars will spread is calculated automatically from the host structural object, by taking the normal direction of the base sketch, and taking its intersection with the structural object. If you specify a direction vector, the length of that vector will also be taken into account.
  • The spacing value is calculated from the current amount of bars, and represents the distance between the axes of each bar. You must therefore subtract the bar diameter to obtain the size of the free space between bars.

Properties

  • DANEAmount: The amount of bars.
  • DANEDiameter: The diameter of the bars.
  • DANEDirection: The direction (and length) along which the bars must spread. If the value is (0,0,0), the direction is calculated automatically from the host structural object.
  • DANEOffset Start: The offset distance between the border of the structural object and the first bar.
  • DANEOffset End: The offset distance between the border of the structural object and the last bar.
  • DANERounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DANESpacing: The distance between the axes of each bar.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Rebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Creates a Rebar object from the given baseobj, which is an Arch Structure, and a sketch as profile.
    • diameter, amount, and offset are used to define the characteristics of the bars.
    • If no diameter, amount, or offset values are given, the default values from the Arch Preferences are used.

Example:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()